Package twisted :: Package protocols :: Module ip :: Class IPProtocol

[frames | no frames]

## Class IPProtocol

    AbstractDatagramProtocol --+
                               |
                              IPProtocol

Method Summary
| `__init__(self)`
| `addProto(self, num, proto)`
| `datagramReceived(self, data, partial, dest, source, protocol)`
Inherited from AbstractDatagramProtocol
| ``__getstate__`(self)`
| ``doStart`(self)` Make sure startProtocol is called.
| ``doStop`(self)` Make sure stopProtocol is called.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``startProtocol`(self)` Called when a transport is connected to this protocol.
| ``stopProtocol`(self)` Called when the transport is disconnected.

Class Variable Summary
`class` | `__implements__` = `twisted.protocols.raw.IRawPacketProtocol`
Inherited from AbstractDatagramProtocol
`int` | `noisy` = 1
`int` | `numPorts` = 0
`NoneType` | `transport` = None

Generated by Epydoc 2.0 on Sat May 15 20:07:51 2004 | http://epydoc.sf.net